メインコンテンツへスキップ
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
revisions
特定の定義の変更履歴を取得
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "definition": {
        "actionUrl": "<string>",
        "functions": [
          {
            "id": "<string>"
          }
        ],
        "id": "<string>",
        "inputFields": [
          {
            "isRequired": true,
            "typeDefinition": {
              "name": "<string>",
              "options": [
                {
                  "label": "<string>",
                  "value": "<string>",
                  "description": "<string>",
                  "displayOrder": 123
                }
              ],
              "description": "<string>",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "OWNER"
            },
            "supportedValueTypes": []
          }
        ],
        "labels": {},
        "objectTypes": [
          "<string>"
        ],
        "published": true,
        "revisionId": "<string>",
        "archivedAt": 123,
        "executionRules": [
          {
            "conditions": {},
            "labelName": "<string>"
          }
        ],
        "inputFieldDependencies": [
          {
            "controllingFieldName": "<string>",
            "dependencyType": "SINGLE_FIELD",
            "dependentFieldNames": [
              "<string>"
            ]
          }
        ],
        "objectRequestOptions": {
          "properties": [
            "<string>"
          ]
        },
        "outputFields": [
          {
            "typeDefinition": {
              "externalOptions": true,
              "name": "<string>",
              "options": [
                {
                  "description": "<string>",
                  "displayOrder": 123,
                  "doubleData": 123,
                  "hidden": true,
                  "label": "<string>",
                  "readOnly": true,
                  "value": "<string>"
                }
              ],
              "schema": {
                "type": "INTEGER",
                "maximum": 123,
                "minimum": 123
              },
              "useChirp": true,
              "description": "<string>",
              "externalOptionsReferenceType": "<string>",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>"
            }
          }
        ]
      },
      "id": "<string>",
      "revisionId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

アプリの固有ID。

definitionId
string
必須

アクション定義の固有ID。

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

limit
integer<int32>

ページごとに表示する結果の最大数。

レスポンス

successful operation

results
object[]
必須
paging
object
最終更新日 2026年4月10日